export default {
    data: function() {
        return {
            id: '',
            name: '',
            errorMessage: '',
            errorColor: ERROR_COLOR
        }
    },
    methods: {
        addTeam: function () {
            try {
                this.errorMessage = '';
                if (!this.id) {
                    throw new RequiredFieldError("ID");
                    return;
                }
                if (!this.name) {
                    throw new RequiredFieldError("Name");
                    return;
                }

                const team = { id: this.id, name: this.name };
                console.log('form.addTeam', team);

                this.$emit('addTeam', team);

                this.id = '';
                this.name = '';
            } catch (error) {
                if (error instanceof RequiredFieldError) {
                    this.errorMessage=error
                }

                return null;
            }
        }
    },
    template: `<section>
                <h2>News form</h2>
                <form @submit.prevent>
                    <div v-bind:style="{ color: errorColor}">{{ errorMessage }}</div>
                    <div>
                        <label>ID</label><br/>
                        <input type="text" v-model="id"/>
                    </div>
                    <div>
                        <label>Name</label><br/>
                        <input type="text" v-model="name"/>
                    </div>
                    <input type="submit" value="Create Team" @click="addTeam"/>
                </form>
            </section>`
}